Package org.kie.internal.query

## Interface ProcessInstanceIdQueryBuilder<T,​R>

- Type Parameters:
    `T` - The type of `ParametrizedQueryBuilder` instance being implemented. This type is here to facilitate the building of a fluent interface.
    `R` - The type of the result list being returned by the generated `ParametrizedQuery`
  All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<T,​R>`, `ParametrizedQueryBuilder<T>`
  All Known Subinterfaces:
    `AuditLogQueryBuilder<T,​R>`, `AuditTaskQueryBuilder`, `NodeInstanceLogQueryBuilder`, `ProcessIdQueryBuilder<T,​R>`, `ProcessInstanceLogQueryBuilder`, `TaskAuditQueryBuilder<T,​R>`, `TaskEventQueryBuilder`, `TaskSummaryQueryBuilder`, `TaskVariableQueryBuilder`, `VariableInstanceLogQueryBuilder`

      public interface ProcessInstanceIdQueryBuilder<T,​R>
      extends ExtendedParametrizedQueryBuilder<T,​R>

  This is the base interface for all `ParametrizedQueryBuilder` implementations. It includes the basic query functions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `processInstanceId​(long... processInstanceId)` | Specify one or more process instance ids as criteria in the query
    `T` | `processInstanceIdRange​(java.lang.String processInstanceIdMin, java.lang.String processInstanceIdMax)` | Specify an inclusive range of process instance ids to use as a criteria

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### processInstanceId

          T processInstanceId​(long... processInstanceId)

      Specify one or more process instance ids as criteria in the query
      Parameters:
        `processInstanceId` - one or more a process instance ids
      Returns:
        The current query builder instance

    - #### processInstanceIdRange

          T processInstanceIdRange​(java.lang.String processInstanceIdMin,
                                   java.lang.String processInstanceIdMax)

      Specify an inclusive range of process instance ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `processInstanceIdMin` - the minimal (lower) date to use in the range
        `processInstanceIdMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance